Bug 156287 - security/gnupg does not work without pinentry
security/gnupg does not work without pinentry
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Jun Kuriyama
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-09 02:50 UTC by joji
Modified: 2012-05-04 12:10 UTC (History)
0 users

See Also:


Attachments
file.diff (345 bytes, patch)
2011-04-09 02:50 UTC, joji
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description joji 2011-04-09 02:50:09 UTC
security/gnupg fails on gpg --gen-key saying pinetry required.

Fix: patch /usr/ports/security/gnupug/Makefile with the following:

--- Makefile    2011-04-07 21:24:22.000000000 -0500
+++ Makefile.old        2011-04-07 21:23:53.000000000 -0500
@@ -23,7 +23,6 @@
                gpg-error:${PORTSDIR}/security/libgpg-error \
                ksba.19:${PORTSDIR}/security/libksba \
                pth.20:${PORTSDIR}/devel/pth
-RUN_DEPENDS=    pinentry.0:${PORTSDIR}/security/pinentry

 LICENSE=       GPLv3 LGPL3
 LICENSE_COMB=  multi




Patch attached with submission follows:
How-To-Repeat: cd /usr/ports/security/gnugp
make install clean
gpg --gen-key
Comment 1 Edwin Groothuis freebsd_committer 2011-04-09 02:50:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kuriyama

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 dfilter freebsd_committer 2012-05-04 12:07:56 UTC
kuriyama    2012-05-04 11:07:46 UTC

  FreeBSD ports repository

  Modified files:
    security/gnupg       Makefile 
  Log:
  - Add optional dependency on security/pinentry port.
  
  I'd like to keep this port (and package built on pointyhat) having
  simple dependencies.  So this knob is off by default.
  
  PR:             ports/156287, ports/164333
  Submitted by:   Joseph Olatt <joji@eskimo.com>, Oliver Herold <oh@fixmbr.de>
  
  Revision  Changes    Path
  1.144     +7 -2      ports/security/gnupg/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Jun Kuriyama freebsd_committer 2012-05-04 12:08:30 UTC
State Changed
From-To: open->closed

pinentry deps added.  Thanks!